<script type="text/javascript" src="<?= _st('__datepicker.js') ?>"></script>
<link rel="stylesheet" type="text/css" href="<?= _st('datepicker.css') ?>" />
<?/*<script type="text/javascript" src="<?= _st('private-tours.js') ?>"></script>*/?>

<style type="text/css">
#tour-edit {
	border: 1px solid #ccc;
	background: #fff;
	padding: 10px;
}
#tour-edit h3 {
	position: relative;
	padding-bottom: 10px;
	margin-bottom: 10px;
	border-bottom: 1px dashed #e5e5e5;
}
#tour-edit h3 span {
	background: #eee;
	font-weight: bold;
	padding: 2px 5px;
	cursor: pointer;
	position: absolute;
	right: 0;
	top: 0;
}
#tour-edit .profile span {
	display:block;
	font-size:14px;
	font-weight:bold;
	margin-bottom:3px;
}

#tour-edit .profile img {
	display: block;
	border: 3px solid #555;
}

#tour-edit .profile {
	float: left;
	margin-right: 10px;
}

#tour-edit .form {
	float: left;
	padding-top: 20px;
}
#tour-edit .actions {
	margin-top: 10px;
	padding-top: 10px;
	border-top: 1px dashed #e5e5e5;
}
#tour-edit .actions .styled-button {
	float: right !important;
}
#tour-edit .error {
	margin: 3px 0 10px 100px;
}
.styled-button {
	background: url('<?= _st('_/btn_delete-tours.gif') ?>') no-repeat 0 0 !important;
	padding-left: 20px;
	float: left;
	line-height: 18px;
	height: 20px;
	text-decoration: none;
	font-weight: bold;
	color: #fff !important;
	text-align: center;
}

a.styled-button:hover, a.styled-button:active, a.styled-button:visited, a.styled-button:focus { color: #fff !important;}
.styled-button span {
	color: #fff !important;
	background: url('<?= _st('_/btn_delete-tours.gif') ?>') no-repeat 100% 100%;
	padding-right: 10px;
	display: block;
	height: 20px;	
}
table.tours {
	margin: 15px 0;
	width: 100%;
	border-collapse: collapse;
}

table.tours th {
	background: #333;
	color: #fff;
	text-align: center;
	padding: 5px 5px;
	font-size: 11px;
}

table.tours td {
	vertical-align: middle;
	text-align: center;
	padding: 5px 3px;
	font-size: 11px;
}

table.tours tr {

}

table.tours tr.odd {
	background: #f2f7f7 !important;
}

table.tours td span {
	color: #aaa;
}
#ajax-target{
	border-bottom: 1px solid #CCCCCC;
    margin-bottom: 20px;
    padding-bottom: 20px;
}
#thb {
	border: 1px solid #ccc;
	text-align: center;
	padding: 3px;
	background: #f2f7f7;
}
</style>
<script type="text/javascript">
	var ReloadTours,ReloadOldTours, ShowEditPopup, CloseEditPopup, SaveTour, DeleteTours;
	document.addEvent('domready', function () {

		Cubix.Lang.id = '<?= $this->lang() ?>';

		var overlay = new Cubix.Overlay($(document.body), {has_loader: false});
		var overlayNewTours = new Cubix.Overlay($$('.new-tours')[0],{ position:'50%' });
		var overlayOldTours = new Cubix.Overlay($$('.old-tours')[0],{position:'50%'});
		var overlayToggleTours = new Cubix.Overlay($('thb'),{position:'50%'});

		ReloadTours = function () {
			ReloadNewTours();
			<? if ($this->disable_tour_history == 0): ?>
				$('tb').addClass('dis_btn');
				$('tb').set('html', '<?= __('disable_tour_history') ?>');
				ReloadOldTours();
			<? else: ?>
				$('tb').addClass('enb_btn');
				$('tb').set('html', '<?= __('enable_tour_history') ?>');
				$('o_t').addClass('none');
			<? endif; ?>
		};
		ReloadNewTours = function () {
			var target = $('ajax-target'),
				escort_id = <?= $this->escort->id ?>,
				url = '<?= $this->getLink('private-v2') ?>/ajax-tours';

			overlayNewTours.disable();
			new Request({
				url: url,
				data: { escort_id: escort_id },
				onSuccess: function (html) {
					target.set('html', html);
					overlayNewTours.enable();
				}
			}).send();
		};
		ReloadOldTours = function () {
			var target = $('ajax-target-old'),
				escort_id = <?= $this->escort->id ?>,
				url = '<?= $this->getLink('private-v2') ?>/ajax-tours';

			overlayOldTours.disable();
			new Request({
				url: url,
				data: {
					escort_id : escort_id,
					old_tour : 1
				},
				onSuccess: function (html) {
					target.set('html', html);
					overlayOldTours.enable();
				}
			}).send();
		};

		ShowEditPopup = function (tour_id) {
			var escort_id = <?= $this->escort->id ?>,
				container = $('container'),
				url = '<?= $this->getLink('private-v2') ?>/edit-tour',
				data = {},
				b = $(document.body);

			if ( tour_id ) {
				data.id = tour_id;
			}
			else {
				if ( ! escort_id ) {
					alert('Please select an escort to add tours for her/him');
					return;
				}

				data.escort_id = escort_id;
			}

			overlay.disable();
			new Request({
				url: url,
				method: 'get',
				data: data,
				onSuccess: function (html) {
					var popup = new Element('div').inject(b).setStyles({
						position: 'absolute',
						visibility: 'hidden',
						zIndex: 10000
					}).set('html', html);
					popup.setStyles({
						left: b.getWidth() / 2 - popup.getWidth() / 2,
						top: b.getHeight() / 2 - popup.getHeight() / 2,
						visibility: null
					});
					InitEditPopup(popup);
				}
			}).send();
		};

		var InitEditPopup = function (p) {
			p.store('overlay', new Cubix.Overlay(p.getElement('form')));
			var date_from = new DatePicker(p.getElement('input[name=date_from]'), { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'j M Y' });
			var date_to = new DatePicker(p.getElement('input[name=date_to]'), { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'j M Y' });

			/*p.getElement('input[name=country_id]').addEvent('change', function () { *///Geography.loadCities(p.getElement('select[name=city_id]'), p.getElement('input[name=country_id]'), null, true);// });
			
			p.getElement('form').set('send', {
				onSuccess: function (resp) {
					var json = JSON.decode(resp);
					if ( 'success' == json.status ) {
						CloseEditPopup();
						ReloadTours();
						return;
					}

					for ( var field in json.msgs ) {
						var el = p.getElement('*[name=' + field + ']');

						if ( ! el ) continue;
						el = el.getParent('.inner');
						new Element('div', { 'class': 'error', html: json.msgs[field] }).inject(el);
					}

					p.retrieve('overlay').enable();
				}
			});
		};

		CloseEditPopup = function () {
			$('tour-edit').destroy();
			overlay.enable();
		};

		SaveTour = function (p) {
			p.getElements('.error').destroy();
			p.retrieve('overlay').disable();
			p.getElement('form').send();
		};

		DeleteTours = function () {
			var t = $$('.tours')[0].getElements('input[type=checkbox]').filter(function (el) { return (el.get('id') != 'check-all') && el.get('checked') });

			if ( ! t.length ) {
				alert('Please select some tours to delete');
				return;
			}

			if ( ! confirm('Are you sure you want to remove ' + t.length + ' selected tours?') ) {
				return;
			}

			var ids = [];
			t.each(function (el) { ids.include(el.get('value')); });
			overlayNewTours.disable();
			new Request({
				url: '<?= $this->getLink('private-v2') ?>/remove-tours',
				data: { tours: ids },
				onSuccess: function () {
					ReloadNewTours();
				}
			}).send();
		};

		ReloadTours();
		
		$('thb').addEvent('click', function () {
			if ($('o_t_v').get('value') == 0)
			{
				overlayToggleTours.disable();
				new Request({
					url: '<?= $this->getLink('private-v2') ?>/toggle-tour-history',
					data: {
						escort_id : <?= $this->escort->id ?>,
						o_t_v : $('o_t_v').get('value')
					},
					onSuccess: function (html) {
						overlayToggleTours.enable();
						$('o_t_v').set('value', 1);
						$('o_t').addClass('none');
						$('tb').removeClass('dis_btn');
						$('tb').addClass('enb_btn');
						$('tb').set('html', '<?= __('enable_tour_history') ?>');
					}
				}).send();
			}
			else if ($('o_t_v').get('value') == 1)
			{
				overlayToggleTours.disable();
				new Request({
					url: '<?= $this->getLink('private-v2') ?>/toggle-tour-history',
					data: {
						escort_id : <?= $this->escort->id ?>,
						o_t_v : $('o_t_v').get('value')
					},
					onSuccess: function (html) {
						overlayToggleTours.enable();
						$('o_t_v').set('value', 0);
						$('o_t').removeClass('none');
						ReloadOldTours();
						$('tb').removeClass('enb_btn');
						$('tb').addClass('dis_btn');
						$('tb').set('html', '<?= __('disable_tour_history') ?>');
					}
				}).send();
			}
		})
	});
</script>

<div class="gray-box form" id="private-tours">
	<div class="c-body bot-border">
		<div class="c-title"><?= __('pv2_section_my_tours') ?></div>
		<div class="body" style="padding:15px 5px 5px">
			<a style="margin-top: 2px" id="btn-add" class="styled-button" href="#" onclick="ShowEditPopup(); return false"><span>Add New Tour</span></a>
			<div class="clear"></div>
			<div class="new-tours">
				<h2 style="font-size: 12px; margin-top: 10px"><?= __('your_tour_schedule') ?></h2>
				<div class="clear"></div>
				<div id="ajax-target">
					<?= $this->render('private-v2/ajax-tours.phtml') ?>
				</div>
			</div>
			
			<div id="thb">
				<div class="i">
					<div class="ii">
						<span class="" id="tb"></span>
					</div>
				</div>
				<div class="clear"></div>
			</div>
			<input type="hidden" id="o_t_v" value="<?= $this->disable_tour_history ?>" />
			
			<div class="old-tours" id="o_t">
				<div class="c-title"><?= __('old_tours') ?></div>
				<div class="clear"></div>
				<div id="ajax-target-old">
					<?= $this->render('private-v2/ajax-old-tours.phtml') ?>
				</div>
			</div>
		</div>
	</div>
</div>
